複数行の自動検出は、以下の日付/時刻形式から始まり、それに準拠するログを検出します: RFC3339、ANSIC、Unix Date Format、Ruby Date Format、RFC822、RFC822Z、RFC850、RFC1123、RFC1123Z、RFC3339Nano、Java ロギング SimpleFormatter デフォルト日付書式。
具体的な正規表現はこれ
設定例
| |
| |
Goのlog packageの書式
2023/08/31 01:48:35 になる。これはDatadogのauto multineではサポートされていない書式。
Patternを追加する
| |
logのformatを変更する
https://stackoverflow.com/questions/26152993/go-logger-to-print-timestamp
| |